LANGUAGE = "EN";

Strings = {};
UIOptions = {};

if (Turbine.Shell.IsCommand("spielen")) then
	LANGUAGE = "DE";
end
if (Turbine.Shell.IsCommand("lire")) then
	LANGUAGE = "FR";
end

if (LANGUAGE == "EN") then 
	Strings["neosindarin"] = "Neo-Sindarin";
	Strings["cmd_neosindarin"] = "neosindarin";
	Strings["cmd_show"] = "show";
	Strings["cmd_hide"] = "hide";
	Strings["cmd_toggle"] = "toggle";
	Strings["target_gender"] = "Target Gender";
	
	Strings["dialect"] = "Dialect"; -- NEW
	Strings["dialect_exilic"] = "Exilic"; -- NEW
	Strings["dialect_woodelven"] = "Woodelven"; -- NEW
	Strings["dialect_info_Exilic"] = "Spoken by Elves west of Misty Mountains"; -- NEW
	Strings["dialect_info_Woodelven"] = "Spoken by Elves of Mirkwood & Lothlórien"; -- NEW
	Strings["formal"] = "Formal"; -- NEW
	Strings["informal"] = "Informal"; -- NEW
	Strings["no_translation"] = "((No translation available for this dialect))"; -- NEW
	
	Strings["output_channel"] = "Output Channel";
	Strings["filter"] = "Filter";
	Strings["sort"] = "Sort";
	Strings["show_info"] = "Show Info";
	Strings["hide_info"] = "Hide Info";
	Strings["placeholder_text"] = "Placeholder Text";
	Strings["hide_translation"] = "Hide Translation";
	Strings["say"] = "Say";
	Strings["fellowship"] = "Fellowship";
	Strings["kinship"] = "Kinship";
	Strings["raid"] = "Raid";
	Strings["userchat1"] = "User Chat 1";
	Strings["userchat2"] = "User Chat 2";
	Strings["userchat3"] = "User Chat 3";
	Strings["userchat4"] = "User Chat 4";
	Strings["cmd_say"] = "/say";
	Strings["cmd_fellowship"] = "/f";
	Strings["cmd_kinship"] = "/k";
	Strings["cmd_raid"] = "/ra";
	Strings["cmd_userchat1"] = "/1";
	Strings["cmd_userchat2"] = "/2";
	Strings["cmd_userchat3"] = "/3";
	Strings["cmd_userchat4"] = "/4";
	Strings["usage"] = "usage: /neosindarin [show|hide|toggle]";
	Strings["cmd_help1"] = "show: Display Window";
	Strings["cmd_help2"] = "hide: Hide Window";
	Strings["cmd_help3"] = "toggle: Toggle Window";
	
	UIOptions["button_padding"] = 3;
	UIOptions["minimum_width"] = 510;
elseif (LANGUAGE == "DE") then
	Strings["neosindarin"] = "Neo-Sindarin";
	Strings["cmd_neosindarin"] = "neosindarin";
	Strings["cmd_show"] = "Anzeigen";
	Strings["cmd_hide"] = "Ausblenden";
	Strings["cmd_toggle"] = "Umschalten ";
	Strings["target_gender"] = "Geschlecht (Ziel)";
	
	Strings["dialect"] = "Dialect"; -- NEW
	Strings["dialect_exilic"] = "Exilic"; -- NEW
	Strings["dialect_woodelven"] = "Woodelven"; -- NEW
	Strings["dialect_info_Exilic"] = "Spoken by Elves west of Misty Mountains"; -- NEW
	Strings["dialect_info_Woodelven"] = "Spoken by Elves of Mirkwood & Lothlórien"; -- NEW
	Strings["formal"] = "Formal"; -- NEW
	Strings["informal"] = "Informal"; -- NEW
	Strings["no_translation"] = "((No translation available for this dialect))"; -- NEW
	
	Strings["output_channel"] = "Ausgabekanal";
	Strings["filter"] = "Filtern";
	Strings["sort"] = "Sortieren ";
	Strings["show_info"] = "Info anzeigen";
	Strings["hide_info"] = "Info ausblenden";
	Strings["placeholder_text"] = "Platzhaltertext";
	Strings["hide_translation"] = "Übersetzung ausblenden";
	Strings["say"] = "Sagen";
	Strings["fellowship"] = "Gefährtengruppe";
	Strings["kinship"] = "Sippe";
	Strings["raid"] = "Schlachtzug";
	Strings["userchat1"] = "Benutzer-Chat 1";
	Strings["userchat2"] = "Benutzer-Chat 2";
	Strings["userchat3"] = "Benutzer-Chat 3";
	Strings["userchat4"] = "Benutzer-Chat 4";
	Strings["cmd_say"] = "/sagen";
	Strings["cmd_fellowship"] = "/g";
	Strings["cmd_kinship"] = "/sc";
	Strings["cmd_raid"] = "/szc";
	Strings["cmd_userchat1"] = "/1";
	Strings["cmd_userchat2"] = "/2";
	Strings["cmd_userchat3"] = "/3";
	Strings["cmd_userchat4"] = "/4";
	Strings["usage"] = "Verwendung: /neosindarin [anzeigen|ausblenden|umschalten]";
	Strings["cmd_help1"] = "anzeigen: Fenster anzeigen";
	Strings["cmd_help2"] = "ausblenden: Fenster ausblenden";
	Strings["cmd_help3"] = "umschalten: Fensteranzeige umschalten";

	UIOptions["button_padding"] = 14;
	UIOptions["minimum_width"] = 640;
elseif (LANGUAGE == "FR") then
	Strings["neosindarin"] = "Neo-Sindarin";
	Strings["cmd_neosindarin"] = "neosindarin";
	Strings["cmd_show"] = "show";
	Strings["cmd_hide"] = "hide";
	Strings["cmd_toggle"] = "toggle";
	Strings["target_gender"] = "Target Gender";
	
	Strings["dialect"] = "Dialect"; -- NEW
	Strings["dialect_exilic"] = "Exilic"; -- NEW
	Strings["dialect_woodelven"] = "Woodelven"; -- NEW
	Strings["dialect_info_Exilic"] = "Spoken by Elves west of Misty Mountains"; -- NEW
	Strings["dialect_info_Woodelven"] = "Spoken by Elves of Mirkwood & Lothlórien"; -- NEW
	Strings["formal"] = "Formal"; -- NEW
	Strings["informal"] = "Informal"; -- NEW
	Strings["no_translation"] = "((No translation available for this dialect))"; -- NEW
	
	Strings["output_channel"] = "Output Channel";
	Strings["filter"] = "Filter";
	Strings["sort"] = "Sort";
	Strings["show_info"] = "Show Info";
	Strings["hide_info"] = "Hide Info";
	Strings["placeholder_text"] = "Placeholder Text";
	Strings["hide_translation"] = "Hide Translation";
	Strings["say"] = "Say";
	Strings["fellowship"] = "Fellowship";
	Strings["kinship"] = "Kinship";
	Strings["raid"] = "Raid";
	Strings["userchat1"] = "User Chat 1";
	Strings["userchat2"] = "User Chat 2";
	Strings["userchat3"] = "User Chat 3";
	Strings["userchat4"] = "User Chat 4";
	Strings["cmd_say"] = "/parler";
	Strings["cmd_fellowship"] = "/comm";
	Strings["cmd_kinship"] = "/conf";
	Strings["cmd_raid"] = "/ra";
	Strings["cmd_userchat1"] = "/1";
	Strings["cmd_userchat2"] = "/2";
	Strings["cmd_userchat3"] = "/3";
	Strings["cmd_userchat4"] = "/4";
	Strings["usage"] = "usage: /neosindarin [show|hide|toggle]";
	Strings["cmd_help1"] = "show: Display Window";
	Strings["cmd_help2"] = "hide: Hide Window";
	Strings["cmd_help3"] = "toggle: Toggle Window";
	
	UIOptions["button_padding"] = 3;
	UIOptions["minimum_width"] = 510;
end
